﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using BPA.Helper;

namespace DTO
{
    public class AdInfoModel : NotifyBase
    {
        public string Gate { get { return _mGate; } set { _mGate = value; OnPropertyChanged(); } }
        private string _mGate;

        public string Msg { get { return _mMsg; } set { _mMsg = value; OnPropertyChanged(); } }
        private string _mMsg;

        public int Count { get { return _mCount; } set { _mCount = value; OnPropertyChanged(); } }
        private int _mCount;

        public ScreenInfoDto Info { get { return _mInfo; } set { _mInfo = value; OnPropertyChanged(); } }
        private ScreenInfoDto _mInfo = new ScreenInfoDto();

        public ObservableCollection<ScreenInfoDto> AInfo { get; set; } = new ObservableCollection<ScreenInfoDto>();

    }
}
