﻿using System;
using System.Collections.Generic;
using System.Text;

namespace HKLib.Dto
{
    /// <summary>
    /// 表统计
    /// </summary>
    public class ReportCountDto
    {
        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 手机
        /// </summary>
        public string Phone { get; set; }
        /// <summary>
        /// 时间
        /// </summary>
        public string Date { get; set; }
        /// <summary>
        /// 机构
        /// </summary>
        public string Tag { get; set; }

        /// <summary>
        /// 早
        /// </summary>
        public int AMCount { get; set; }

        /// <summary>
        /// 中
        /// </summary>
        public int PMCount { get; set; }

        /// <summary>
        /// 晚
        /// </summary>
        public int ATCount { get; set; }

        /// <summary>
        /// 总计
        /// </summary>
        public int TotalCount { get; set; }

        public decimal AM { get; set; }
        public decimal PM { get; set; }
        public decimal AT { get; set; }
        public decimal Total { get; set; }
    }
}
