﻿using Stylet;
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Media;

namespace DTO
{
    public class ScreenInfoDto : PropertyChangedBase
    {
        private string _UserName;
        public string UserName
        {
            get => _UserName;
            set => SetAndNotify(ref _UserName, value);
        }

        private string _CardNo;
        public string CardNo
        {
            get => _CardNo;
            set => SetAndNotify(ref _CardNo, value);
        }

        private string _Location;
        public string Location
        {
            get => _Location;
            set => SetAndNotify(ref _Location, value);
        }

        private string _Time;
        public string Time
        {
            get => _Time;
            set => SetAndNotify(ref _Time, value);
        }
    }
}
